MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("NSLocale", true) Encapsulates parameters about user language, cultural and technical conventions.

You can access the current local information for the device using or construct a specific locale passing a locale code, for example 'new NSLocale ("es_ES_PREEURO"). You can get a list of the available device locale identifiers using the static property.

Your application can be notified of changes in the system local by using the as the notification to monitor with .

- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithLocaleIdentifier:")
  To be added.
  To be added.
  To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("autoupdatingCurrentLocale")
  MonoMac.Foundation.NSLocale To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("availableLocaleIdentifiers")
  System.String[] Returns an array of available locale identifiers. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("canonicalLanguageIdentifierFromString:")
  System.String `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("canonicalLocaleIdentifierFromString:")
  System.String `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("commonISOCurrencyCodes")
  System.String[] To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("componentsFromLocaleIdentifier:")
  MonoMac.Foundation.NSDictionary `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("currentLocale")
  MonoMac.Foundation.NSLocale To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for CurrentLocaleDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  If you want to subscribe to this notification, you can use the convenience . method which offers strongly typed access to the parameters of the notification.

  The following example shows how to use the strongly typed Notifications class, to take the guesswork out of the available properties in the notification:

  `// // Lambda style // // listening notification = NSLocale.Notifications.ObserveCurrentLocaleDidChange ((sender, args) => { /* Access strongly typed args */ Console.WriteLine ("Notification: {0}", args.Notification); }); // To stop listening: notification.Dispose (); // // Method style // NSObject notification; void Callback (object sender, CurrentLocaleDidChange args) { // Access strongly typed args Console.WriteLine ("Notification: {0}", args.Notification); } void Setup () { notification = NSLocale.Notifications.ObserveCurrentLocaleDidChange (Callback); } void Teardown () { notification.Dispose (); }`

  The following example shows how to use the notification with the DefaultCenter API:

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( NSLocale.CurrentLocaleDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification NSLocale", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSLocale", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSLocale.CurrentLocaleDidChangeNotification, Callback); }`
- Method
  0.0.0.0
  MonoMac.Foundation.Export("characterDirectionForLanguage:")
  MonoMac.Foundation.NSLocaleLanguageDirection `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("lineDirectionForLanguage:")
  MonoMac.Foundation.NSLocaleLanguageDirection `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("ISOCountryCodes")
  System.String[] To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("ISOCurrencyCodes")
  System.String[] To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("ISOLanguageCodes")
  System.String[] To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("localeIdentifier")
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("localeIdentifierFromComponents:")
  System.String `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("preferredLanguages")
  System.String[] To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("systemLocale")
  MonoMac.Foundation.NSLocale The system locale. To be added. To be added.